improvements from Andrea
[goodguy/cin-manual-latex.git] / extra / README.pkgs
1 # Depending on the distro, use the instructions below and
2 # select the appropriate setup operations to install, update
3 # or remove cinelerr-gg infinity. (11/24/2019) To upgrade,
4 # refresh repo, then replace "install" with "update", or
5 # whatever.
6
7 # Email problems to cin@lists.cinelerra-gg.org. If
8 # repository problems, usually you can manually do an
9 # install by using:
10
11 # UBUNTU, MINT, DEBIAN
12 wget https://cinelerra-gg.org/download/pkgs/{substitute_name}/cin_5.1.<sub_name>.deb
13 # and install it manually:
14 dpkg -i cin_5.1.{substitute_filename}.deb
15
16 # ARCH
17 wget https://cinelerra-gg.org/download/pkgs/{substitute_name}/cin_5.1.<sub_name>.pkg.tar.xz
18 # and install it manually:
19 pacman -U cin_5.1.{substitute_filename}.pkg.tar.xz
20
21 # FEDORA
22 wget https://cinelerra-gg.org/download/pkgs/{substitute_name}/cin_5.1.<sub_name>.rpm
23 # and install it manually:
24 dnf install cin_5.1.{substitute_filename}.rpm
25
26 # LEAP, SUSE
27 wget https://cinelerra-gg.org/download/pkgs/{substitute_name}/cin_5.1.<sub_name>.rpm
28 # and install it manually:
29 zypper install cin_5.1.{substitute_filename}.rpm
30
31 # CENTOS
32 wget https://cinelerra-gg.org/download/pkgs/{substitute_name}/cin_5.1.<sub_name>.rpm
33 # and install it manually:
34 yum localinstall cin_5.1.{substitute_filename}.rpm
35
36 # GENTOO
37 # There are static and dynamic tarballs for
38 # Base Release 2.6
39 https://cinelerra-gg.org/download/tars/cinelerra-5.1-gentoo-20200202.x86_64-static.txz
40 https://cinelerra-gg.org/download/tars/cinelerra-5.1-gentoo-20200202.x86_64.txz
41 # download one of the above and then refer to README.txt
42
43 # FREEBSD
44 # There is a tarball based on FreeBSD version 12.1 at
45 https://cinelerra-gg.org/download/testing/bsdcin.tar.xz
46 # download the above and then refer to README.txt
47
48 # FEDORA
49 # Replace the XX in fedoraXX in the next
50 # line with your current O/S version number
51 dnf install cinelerra --nogpgcheck --repofrompath cingg,https://cinelerra-gg.org/download/pkgs/fedoraXX/
52 # dnf erase cinelerra
53
54 # CENTOS
55 # Python 2 has been updated for other distros to Python 3 so
56 # you might have to create a soft link to get the correct
57 # version. For help, send email to
58 # cin@lists.cinelerra-gg.org first create the file
59 # /etc/yum.repos.d/cin_gg, with the following contents:
60 [cin_gg]
61 name=cingg
62 baseurl=https://cinelerra-gg.org/download/pkgs/centos7
63 gpgcheck=0
64 # end of cin_gg
65 yum install cinelerra
66 # yum erase cinelerra
67
68 # UBUNTU, replace ub14 with your distro id: ub16,ub18 Some
69 # ubuntu apt downloads register status as working 0%
70 # constantly while running the package download, like ubuntu
71 # 14. It may take a few minutes for this step so be patient.
72 apt install software-properties-common apt-transport-https
73 apt-add-repository https://cinelerra-gg.org/download/pkgs/ub14
74
75 # UBUNTU 16/18 note - This has been known to work, but
76 # things change quickly:
77 # VIP - for the first install, the above line adds cinelerra
78 # to /etc/apt/sources.list but... Version 16/18 of Ubuntu
79 # are more strict for licensing so you will have to edit the
80 # file /etc/apt/sources.list to add [trusted=yes] after deb
81 # and before https...cin...
82
83 # For example the line should be:
84 # deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/ub16 xenial main
85 # Or for ub18:
86 # deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/ub18 bionic main
87 # Also, on the install you will get an error message that you
88 # can either ignore as cinelerra will run anyway, or else (the
89 # first time only) on the commnand line keyin:
90 # echo > /etc/sysctl.d/50-cin.conf "kernel.shmmax=0x7fffffff"
91 apt update
92 apt install cin
93 # to update a previous install (ignore any i386 errors as only 64
94 # bit version available):
95 apt update
96 apt upgrade cin
97 # apt remove cin
98
99 # MINT should use the same procedure as Ubuntu, but
100 # apt-add-repository does not seem to work, so use the GUI
101 # UpdateManager as follows:
102 # Administration -> Software Sources -> Additional
103 # Repositories -> Add a new repository
104 # (Note instead of Administration, some versions of Mint GUI
105 # UpdateManager might be System)
106 # For Mint18, add:
107 # deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/mint18 xenial main
108 # For Mint19, add:
109 # deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/mint19 bionic main
110 # IMPORTANT NOTE: if you get "malformed input" error, you will
111 # have to create a file by typing the command: sudo touch
112 # /etc/apt/sources.list.d/additional-repositories.list then
113 # wait 10 minutes or so and try using the Gui Update Manager
114 # again.
115 apt update
116 apt install cin
117 # to update a previous install
118 apt update
119 apt upgrade cin
120 # apt remove cin
121
122 # DEBIAN uses the same basic procedure as Ubuntu.
123 # The apt-add-repository varies per system so you will have to
124 # use your best judgement
125 apt install software-properties-common apt-transport-https
126 apt-add-repository https://cinelerra-gg.org/download/pkgs/debian8
127 # OR
128 # apt-add-repository https://cinelerra-gg.org/download/pkgs/debian9
129 # OR
130 # apt-add-repository https://cinelerra-gg.org/download/pkgs/debian10
131 # VIP - for the first install, the above line adds cinelerra
132 # to /etc/apt/sources.list but... Debian jessie/buster are
133 # more strict for licensing so you will have to edit the file
134 # /etc/apt/sources.list to add [trusted=yes] after deb and
135 # before https...cin...
136 # For example for debian9:
137 # deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian9 stretch main
138 # For example for debian9:
139 # deb [trusted=yes] https://cinelerra-gg.org/download/pkgs/debian10 buster main
140 apt update
141 apt install cin
142 #to update a previous install
143 apt update
144 apt upgrade cin
145 # apt remove cin
146
147 # SUSE/LEAP/TUMBLEWEED
148 # (Note: you may have to zypper libavc and libiec versions if
149 # not already installed) cinelerra packages are unsigned so
150 # you will have to ignore: Package is not signed!
151
152 # openSUSE LEAP 15
153 zypper ar -f https://cinelerra-gg.org/download/pkgs/leap15/ cingg
154 zypper install -r cingg cinelerra # or cinelerra10bit for 10 bit
155 # openSUSE LEAP 42
156 zypper ar -f https://cinelerra-gg.org/download/pkgs/leap42/ cingg
157 # as of 42.3 SUSE there is a new requirement, so you will need
158 # to add:
159 zypper mr -G cingg
160 zypper install -r cingg cinelerra # or cinelerra10bit for 10 bit
161 # openSUSE TUMBLEWEED
162 zypper ar -f https://cinelerra-gg.org/download/pkgs/tweed/ cingg
163 # as of 42.3 SUSE there is a new requirement,
164 # so you will need to add:
165 zypper mr -G cingg
166 zypper install -r cingg cinelerra
167 #zypper remove cinelerra
168 # or cinelerra10bit for 10 bit.
169 # to update a previous install
170 # (assuming you enabled autorefresh as above)
171 zypper refresh cingg
172 zypper up cinelerra
173 # or cinelerra10bit for 10 bit.
174
175 # SLACKWARE
176 # substitute slk32 for slk64 and i486-1 for x86_64-1
177 wget -P /tmp https://cinelerra-gg.org/download/pkgs/slk64/cin-{date}-slk64-x86_64.txz
178 installpkg /tmp/cin... # name you used in the above line
179 #to update a previous install
180 upgradepkg /tmp/cin... # name you used in the above line
181 #removepkg cin
182
183 # ARCH linux
184 # (A loosely defined list of packages that you should install
185 # first is listed in this file:
186 # https://www.cinelerra-gg.org/download/pkgs/README.arch) first
187 # edit the file /etc/pacman.conf, to include the following:
188 [cingg]
189 SigLevel = Optional TrustAll
190 Server = https://cinelerra-gg.org/download/pkgs/arch
191 # end of cingg
192
193 # next run from a window the following 2 commands;
194 pacman -Syu
195 pacman -S cin
196
197 # NOTE: the first line above updates your Arch system to the
198 # current rolling release and the second line updates
199 # Cinelerra-GG based on the rolling release that was in effect
200 # on the last day of the month.
201 # Please complete the 2 steps above in order, one right after
202 # the other to avoid risk of a partial upgrade.
203
204 # Due to the unpredictability of when Arch libraries are
205 # updated, performing an install of Cinelerra at any time
206 # other than shortly after the last day of the month when the
207 # new build package is created, could lead to library
208 # incompatibilities. In that case, please consider using the
209 # Arch static tar file for installation instead. to remove a
210 # previous install:
211 # pacman -R cin